Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
TeeSinkTokenFilter.h File Reference
`#include "TokenFilter.h"`
`#include "TokenStream.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::TeeSinkTokenFilter
| This TokenFilter provides the ability to set aside attribute states that have already been analyzed. This is useful in situations where multiple fields share many common analysis steps and then go their separate ways. More...
class | Lucene::SinkFilter
class | Lucene::AcceptAllSinkFilter
class | Lucene::SinkTokenStream
| A filter that decides which `AttributeSource` states to store in the sink. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net